package com.dlc.eboard.ui.auth

import com.rc.httpcore.vo.response.UserVo

/**
 * info
 *
 * @author ReiChin_
 */
interface OnAuthResultListener {

    /**
     * @return false: 人员校验失败，继续认证
     */
    fun onAuthSuccess(authType: AuthType, userVo: UserVo): Boolean

}

enum class AuthType(val type: Int, val desc: String) {
    CARD(1, "card"),
    FACE(2, "face"),
    FINGER(3, "finger"),
    PASSWORD(4, "password")
}